projects
/
cvc5.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
d0f7a39
)
Fix header installation on MacOS. (#3660)
author
Mathias Preiner
<mathias.preiner@gmail.com>
Tue, 4 Feb 2020 15:49:31 +0000
(07:49 -0800)
committer
GitHub
<noreply@github.com>
Tue, 4 Feb 2020 15:49:31 +0000
(07:49 -0800)
On MacOS sed -i requires a suffix to be set.
src/fix-install-headers.sh
patch
|
blob
|
history
diff --git
a/src/fix-install-headers.sh
b/src/fix-install-headers.sh
index a1f15996afac5e77a4da0096c9ff27166110cf70..39d8bc663a6c9bc0ae79a82178deabfe8792e08b 100755
(executable)
--- a/
src/fix-install-headers.sh
+++ b/
src/fix-install-headers.sh
@@
-1,5
+1,7
@@
-#!/bin/bash
+#!/usr/bin/env bash
+
+set -e -o pipefail
dir=$1
-find "$dir/include/cvc4/" -type f
|
\
- xargs sed -i 's/include.*"\(.*\)"/include <cvc4\/\1>/'
+find "$dir/include/cvc4/" -type f \
+ -exec sed -i'' -e 's/include.*"\(.*\)"/include <cvc4\/\1>/' {} +